SND_CARD_DISCONNECT(9)

NAME
snd_card_disconnect - disconnect all APIs from the file-operations (user space)

SYNOPSIS

int snd_card_disconnect (struct snd_card * card);

ARGUMENTS

card
    soundcard structure

DESCRIPTION

Disconnects all APIs from the file-operations (user space).

Returns zero, otherwise a negative error code.

NOTE

The current implementation replaces all active file->f_op with special dummy file operations (they do nothing except release).